/* 

--1 TYPOGRAPHY

-FONT SIZE SYSTEM (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

-font weight
defaut: 400px
500, 600, 700

-line height
defaut: 1, 1.05, 1.2, 1.6

-letter spacing
-0.5px, 0.75px

--2 COLORS

primary: #e67e22
Tints: #fdf2e9
shades:
accents: 
greys: #555
#333
#6f6f6f

--03 SHADOWS

--04 BORDER_RADIUS
default: 9px
12px

--05 WHITE SPACE
-SPACING SYSTEM (px)
 2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

*/
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
body {
  font-family: "rubik", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;

  overflow-x: hidden;
}
html {
  overflow-x: hidden;
  font-size: 62.5%;
  /* 62.5% = 10px for 1rem */
}

/* general reusable components */

.container {
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}
.grid {
  display: grid;
  row-gap: 8.6rem;
  column-gap: 4.8rem;
  /* margin-bottom: 9.6rem; */
}
/* 
.grid:last-child {
  margin-bottom: 0;
} */

.grid:not(:last-child) {
  margin-bottom: 9.6rem;
}

.grid--2--cols {
  grid-template-columns: repeat(2, 1fr);
}
.grid--3--cols {
  grid-template-columns: repeat(3, 1fr);
}

.grid--4--cols {
  grid-template-columns: repeat(4, 1fr);
}

.grid--5--cols {
  grid-template-columns: repeat(5, 1fr);
}

.grid--center--v {
  align-items: center;
}

.heading-primary,
.heading-secondary,
.heading-tertiary {
  font-weight: 700;
  letter-spacing: -0.5px;
  color: #333;
}
.heading-primary {
  font-size: 5.2rem;

  line-height: 1.2;
  margin-bottom: 3.2rem;
}
.heading-secondary {
  font-size: 4.2rem;
  line-height: 1.2;
  margin-bottom: 9.6rem;
}
.heading-tertiary {
  font-size: 3.6rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}

.subheading {
  display: block;
  font-size: 1.8rem;
  font-weight: 500;
  color: #cf711f;
  text-transform: uppercase;
  margin-bottom: 1.2rem;
}

.btn,
.btn:link,
.btn:visited {
  display: inline-block;
  /* background-color: #cf711f; */
  font-size: 2rem;
  /* color: #fff; */
  padding: 1.6rem 3.2rem;
  border-radius: 9px;
  font-weight: 600;
  text-decoration: none;

  border: none;
  cursor: pointer;
  font-family: inherit;

  transition: all 0.3s;
}
.btn--full:link,
.btn--full:visited {
  background-color: #e67e22;
  color: #fff;
}
.btn--full:hover,
.btn--full:active {
  background-color: #cf711f;
}
.btn--outline:link,
.btn--outline:visited {
  background-color: #fff;
  color: #555;
}
.btn--outline:hover,
.btn--outline:active {
  background-color: #fdf2e9;
  /* border outside border: 3px solid #fff; */
  /* border inside */
  box-shadow: inset 0 0 0 3px #fff;
}

.btn--form {
  background-color: #45260a;
  color: #fdf2e9;
  align-self: end;
  padding: 1.2rem;
}

.btn--form:hover {
  background-color: #fff;
  color: #555;
}

*:focus {
  outline: none;
  box-shadow: 0 0 0 0.8rem rgba(230, 125, 34, 0.5);
}

.link:link,
.link:visited {
  color: #e67e22;
  display: inline-block;
  text-decoration: none;
  border-bottom: 1px solid currentColor;
  padding-bottom: 2px;
  transition: all 0.3s;
}
.link:hover,
.link:active {
  color: #cf711f;
  border-bottom: 1px transparent;
}

/* list */

.list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}
.list-item {
  font-size: 1.8rem;
  display: flex;
  align-items: center;
  gap: 1.6rem;
  line-height: 1.2;
}
.list-icon {
  width: 3rem;
  height: 3rem;
  color: #e67e22;
}
.list-off {
  color: #aaa;
}

/* helper/setting class */

.margin-right-sm {
  margin-right: 1.6rem !important;
}
.margin-bottom-md {
  margin-bottom: 4.8rem !important;
}
.center-text {
  text-align: center;
}
strong {
  font-weight: 500;
}
